<ng-container *ngIf="show">
  <ion-header style="height: 3rem">
    <ion-toolbar>
      <ion-title class="ion-text-center"> Checkout </ion-title>
      <ion-buttons slot="start">
        <ion-back-button defaultHref="cart"> </ion-back-button>
      </ion-buttons>
      <ion-buttons slot="end" style="visibility: hidden">
        <ion-back-button defaultHref="cart"> </ion-back-button>
      </ion-buttons>
    </ion-toolbar>
  </ion-header>
  <ion-toolbar color="light">
    <ion-grid>
      <ion-row>
        <ion-col style="font-size: 15px"
          ><ion-text color="success" style="font-weight: bold"
            >Receiver Details</ion-text
          ></ion-col
        >
      </ion-row>
      <div *ngIf="contact">
        <ion-row style="font-size: 12px">
          <ion-col>Receiver: {{ contact.receiver }}</ion-col>
        </ion-row>
        <ion-row style="font-size: 12px">
          <ion-col>Contact Number: {{ contact.number }}</ion-col>
        </ion-row>
        <ion-row style="font-size: 12px">
          <ion-col>Address: {{ contact.address }}</ion-col>
        </ion-row>
        <ion-row style="font-size: 12px" *ngIf="instructions">
          <ion-col>Instructions: {{ instructions }}</ion-col>
        </ion-row>
      </div>
      <ion-row style="font-size: 12px">
        <ion-col
          ><ion-button
            size="small"
            color="tertiary"
            (click)="editContactDetails()"
            style="text-transform: none"
            >edit</ion-button
          ></ion-col
        >
      </ion-row>
    </ion-grid>
  </ion-toolbar>

  <ion-content *ngIf="cart">
    <ion-list>
      <ion-item class="ion-no-padding" lines="none">
        <ion-grid>
          <ion-row>
            <ion-grid>
              <ion-row *ngFor="let item of cart.items">
                <ion-col size="3">
                  <ion-img
                    [src]="item.image.path"
                    [alt]="item.image.placeholder"
                  ></ion-img>
                </ion-col>
                <ion-col>
                  <ion-label>
                    <ion-row>{{ item.name }}</ion-row>
                    <ion-row>
                      <ion-col size="3"
                        ><span style="font-size: 12px">₱{{ item.price }}</span>
                        <span
                          style="font-size: 12px"
                          [textContent]="' x ' + item.quantity + 'pcs = '"
                        >
                        </span>
                        <span style="font-size: 12px"
                          >₱{{ item.price * item.quantity | number: '.2'}}
                        </span></ion-col
                      >
                    </ion-row>
                  </ion-label>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-row>
          <ion-row>
            <ion-col size="3"></ion-col>
            <ion-col style="font-size: 9px"
              >Shipping Fee: ₱50.00 - ₱250.00</ion-col
            >
          </ion-row>
          <ion-row>
            <ion-col size="3"></ion-col>
            <ion-col style="font-size: 14px"
              >{{ totalItems }} Items, Total:
              <ion-text color="danger">
                ₱{{ cart.total | number:'.2' }}
              </ion-text></ion-col
            >
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>

    <ion-toolbar color="light">
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-button (click)="placeOrder()" expand="full"
              >PLACE ORDER</ion-button
            >
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-toolbar>
  </ion-content>
</ng-container>
